Package Details: python-triangle 20220202-1

Git Clone URL: https://aur.archlinux.org/python-triangle.git (read-only, click to copy)
Package Base: python-triangle
Description: Python bindings to the triangle library
Upstream URL: https://github.com/drufat/triangle
Keywords: delaunay-triangulator library mesh-generator
Licenses: LGPL3
Submitter: liamtimms
Maintainer: liamtimms (carlosal1015)
Last Packager: carlosal1015
Votes: 1
Popularity: 0.001511
First Submitted: 2019-12-18 21:00 (UTC)
Last Updated: 2022-02-01 14:23 (UTC)

Latest Comments

carlosal1015 commented on 2021-08-09 00:38 (UTC) (edited on 2021-08-09 02:11 (UTC) by carlosal1015)

Thanks @liamtimms, for add me as comaintainer, I pushed changes.

liamtimms commented on 2021-08-09 00:31 (UTC)

@carlosal1015 do you want maintainership of this one? I packaged it for myself for use with p5 and I don't think anyone has ever used it besides me.

carlosal1015 commented on 2021-08-09 00:28 (UTC) (edited on 2021-08-09 00:29 (UTC) by carlosal1015)

Yes @liamtimms, could you add in the dependency array this https://github.com/drufat/triangle/blob/master/requirements.txt? and python-setuptools as makedependency.

liamtimms commented on 2021-08-08 21:30 (UTC)

@carlosal1015 building in a clean chroot I assume?

carlosal1015 commented on 2021-08-08 20:41 (UTC)

Hi, I have the following error:

==> Making package: python-triangle 20200424-1 (Sun 08 Aug 2021 03:40:28 PM -05)
==> Retrieving sources...
  -> Downloading v20200424.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   126    0   126    0     0    722      0 --:--:-- --:--:-- --:--:--   720
100 1534k    0 1534k    0     0  2179k      0 --:--:-- --:--:-- --:--:-- 2179k
==> Validating source files with sha256sums...
    v20200424.tar.gz ... Passed
 -> triangle not satisfied, flushing install queue
==> Making package: python-triangle 20200424-1 (Sun 08 Aug 2021 03:40:30 PM -05)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found v20200424.tar.gz
==> Validating source files with sha256sums...
    v20200424.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting v20200424.tar.gz with bsdtar
==> Sources are ready.
==> Making package: python-triangle 20200424-1 (Sun 08 Aug 2021 03:40:31 PM -05)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting build()...
/home/aur/.cache/yay/python-triangle/PKGBUILD: line 21: python: command not found
==> ERROR: A failure occurred in build().
    Aborting...
error making: python-triangle